import * as Converter from "./Converter";
import * as Validator from "./Validator";
export { Converter };
export interface Params {
    entryPoint: string;
    option?: {
        rewriteCodeAfterTypeDeclaration?: Converter.v3.Generator.RewriteCodeAfterTypeDeclaration;
    };
    /** default: true */
    enableValidate?: boolean;
    log?: {
        validator?: Validator.v3.LogOption;
    };
}
export declare const generateTypeScriptCode: ({ entryPoint, option, enableValidate, log }: Params) => string;
